Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Enumerations | Functions | Variables

# enc/emacs_mule.c File Reference

`#include "regint.h"`
Include dependency graph for emacs_mule.c:

Go to the source code of this file.

## Defines
#define | emacsmule_islead(c) ((UChar )((c) - 0x81) > 0x9d - 0x81)
#define | A ACCEPT
#define | F FAILURE
## Enumerations
enum | state_t { FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, S3, S4, S5, S6, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, S3, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, S3, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT, S0, S1, S2, S3, S4, S5, S6, S7 }
## Functions
static int | mbc_enc_len (const UChar *p, const UChar *e, OnigEncoding enc ARG_UNUSED)
static OnigCodePoint | mbc_to_code (const UChar *p, const UChar *end, OnigEncoding enc)
static int | code_to_mbclen (OnigCodePoint code, OnigEncoding enc ARG_UNUSED)
static int | code_to_mbc (OnigCodePoint code, UChar *buf, OnigEncoding enc)
static int | mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end, UChar *lower, OnigEncoding enc)
static UChar * | left_adjust_char_head (const UChar *start, const UChar *s, const UChar *end, OnigEncoding enc)
static int | is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (emacs_mule, Emacs_Mule)
## Variables
static const int | EncLen_EmacsMule []
static const signed char | trans [][0x100]

## Define Documentation

#define A ACCEPT

Definition at line 69 of file emacs_mule.c.

#define emacsmule_islead | ( |  | c | ) | ((UChar )((c) - 0x81) > 0x9d - 0x81)

Definition at line 33 of file emacs_mule.c.

Referenced by left_adjust_char_head().

#define F FAILURE

Definition at line 70 of file emacs_mule.c.

## Enumeration Type Documentation

enum state_t

Enumerator:

  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  S4 |
  S5 |
  S6 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  S4 |
  S5 |
  S6 |
  S7 |

Definition at line 68 of file emacs_mule.c.

## Function Documentation

static int code_to_mbc | ( | OnigCodePoint | code,
|  | UChar * | buf,
|  | OnigEncoding enc |
| ) |  | `[static]`

Definition at line 256 of file emacs_mule.c.

References buf, enclen, ONIGERR_INVALID_CODE_POINT_VALUE, and UChar.

static int code_to_mbclen | ( | OnigCodePoint | code,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 244 of file emacs_mule.c.

References ONIGENC_IS_CODE_ASCII, and ONIGERR_INVALID_CODE_POINT_VALUE.

Referenced by is_code_ctype().

static int is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 308 of file emacs_mule.c.

References code_to_mbclen(), FALSE, ONIGENC_IS_ASCII_CODE_CTYPE, and TRUE.

static UChar* left_adjust_char_head | ( | const UChar * | start,
|  | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding enc |
| ) |  | `[static]`

Definition at line 296 of file emacs_mule.c.

References emacsmule_islead, and UChar.

static int mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar * | end,
|  | UChar * | lower,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 271 of file emacs_mule.c.

References len, mbc_enc_len(), ONIGENC_ASCII_CODE_TO_LOWER_CASE, ONIGENC_IS_MBC_ASCII, and UChar.

static int mbc_enc_len | ( | const UChar * | p,
|  | const UChar * | e,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 204 of file emacs_mule.c.

References ACCEPT, EncLen_EmacsMule, ONIGENC_CONSTRUCT_MBCLEN_CHARFOUND, ONIGENC_CONSTRUCT_MBCLEN_INVALID, ONIGENC_CONSTRUCT_MBCLEN_NEEDMORE, and trans.

Referenced by mbc_case_fold().

static OnigCodePoint mbc_to_code | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 226 of file emacs_mule.c.

References enclen, and len.

OnigEncodingDefine | ( | emacs_mule | ,
|  | Emacs_Mule |
| ) |  |

## Variable Documentation

const int EncLen_EmacsMule[]`[static]`

Initial value:

     {
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
      3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    }

Definition at line 49 of file emacs_mule.c.

Referenced by mbc_enc_len().

const signed char trans[][0x100]`[static]`

Definition at line 71 of file emacs_mule.c.

Referenced by mbc_enc_len().